Package twisted :: Package web :: Module twcgi :: Class FilteredScript

[frames | no frames]

## Class FilteredScript

    Resource --+
               |
       CGIScript --+
                   |
                  FilteredScript

Known Subclasses:
  `PHP3Script`, `PHPScript`

I am a special version of a CGI script, that uses a specific executable.

This is useful for interfacing with other scripting languages that adhere to the CGI standard (cf. PHPScript). My 'filter' attribute specifies what executable to run, and my 'filename' init parameter describes which script to pass to the first argument of that script.

Method Summary
| `runProcess(self, env, request, qargs)`
Inherited from CGIScript
| ``__init__`(self, filename, registry)` Initialize, with the name of a CGI script file.
| ``render`(self, request)` Do various things to conform to the CGI specification.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.

Class Variable Summary
`str` | `filter` = `'/usr/bin/cat'`
Inherited from CGIScript
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Class Variable Details

### filter

  Type:
    `str`
  Value:

        '/usr/bin/cat'

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net